Name:		zapping
Summary:	A TV viewer for GNOME
Version:	0.10
Release:	%mkrel 0.0.cvs6.4
License:	GPL
URL:		http://sourceforge.net/projects/zapping/
Group:		Video
#Source0:	http://osdn.dl.sourceforge.net/sourceforge/zapping/%{name}-%{version}.tar.bz2
Source0:	zapping-0.10cvs6.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}.png
Patch1:		zapping-0.7.1-lib64.patch
Patch3:         zapping-0.9.6-pam.patch
# taken from debian package
# http://bugs.debian.org/424502
Patch4:         zapping-0.9.6-shift.patch
Patch5:		zapping-0.10cvs6-libtool_fixes.diff
Patch6:		zapping-0.10cvs6-linkage.patch
BuildRequires:	autoconf2.5
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	python-devel
BuildRequires:	scrollkeeper
BuildRequires:	usermode-consoleonly
BuildRequires:	zvbi-devel
BuildRequires:	libxmu-devel
Requires:	usermode 
Requires:	usermode-consoleonly
Requires(pre):	info-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Zapping is a TV viewer for GNOME that supports both Video4Linux 
and Video4Linux2. It's extensible through plugins based on GTK.

%prep

%setup -q -n %{name}-%{version}cvs6
%patch1 -p0 -b .lib64
%patch3 -p1
%patch4 -p1
%patch5 -p1 -b .libtool_fixes
%patch6 -p0

%build
autoreconf -fi

%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} plugindir=%{_libdir}/zapping/plugins

perl -pi -e 's,zapping/gnome-television.png,gnome-television,g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Multimedia" \
  --remove-key="Version" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/zapping_setup_fb
ln -sf zapping $RPM_BUILD_ROOT%{_bindir}/zapzilla

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name}

%if %mdkversion < 200900
%post
%update_menus
%endif
  
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS THANKS ChangeLog README README.plugins TODO BUGS
%doc plugins/alirc/README.alirc
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/gconf/schemas/zapping.schemas
      #/home/tv/rpm/tmp/zapping-0.9.6-1mdk-buildroot/etc/pam.d/zapping_setup_fb
	   #  /home/tv/rpm/tmp/zapping-0.9.6-1mdk-buildroot/etc/security/console.apps/zapping_setup_fb

%{_bindir}/*
%{_sbindir}/*
%{_libdir}/zapping
%{_datadir}/applications/zapping.desktop
%{_datadir}/gnome/help/zapping
%{_datadir}/omf/zapping/zapping-C.omf
%{_datadir}/pixmaps/zapping
%{_datadir}/zapping
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/*/*




%changelog
* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-0.0.cvs6.4mdv2010.0
+ Revision: 416672
- rebuilt against libjpeg v7

* Tue Aug 11 2009 Funda Wang <fundawang@mandriva.org> 0.10-0.0.cvs6.3mdv2010.0
+ Revision: 414790
- fix linkage of plugins
- arts is not needed

* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 0.10-0.0.cvs6.3mdv2009.1
+ Revision: 320077
- rebuild for new python

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.10-0.0.cvs6.1mdv2009.1
+ Revision: 301071
- fix deps
- 0.10cvs6
- drop redundant patches
- rediffed the lib64 patch
- fix build (libtool fixes)
- rebuilt against new libxcb

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-9mdv2008.1
+ Revision: 179432
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-8mdv2008.1
+ Revision: 179419
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.6-7mdv2008.0
+ Revision: 94848
- drop old menu
- xdg
- fix desktop file validation

  + Andreas Hasenack <andreas@mandriva.com>
    - fix pam config (#31661)
    - fix build (debian patch)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill file require on info-install


* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 0.9.6-5mdv2007.0
+ Revision: 95371
- Rebuild for latest python
- Import zapping

